Page MenuHomePhabricator

[NOT a bug !] but which Java-Version to run the PC and Jar app ?
Closed, ResolvedPublic

Description

Hello
I am wondered which version of Java is required to run the PC and the Jar Apps...
the apps run fine on my main computer (which is under High-Sierra OS 10.12) but refuse to open/run on another computer under Yosemite (OS10.10)
as I could already fix this kind of problem for other software by just reinstalling another Java-Version, this might maybe possible for these PC and Jar-Apps of Mixingstation (but I have to know the minimum requirements for Java)
thanks in advance for any help

Platform: OSX
Variant: XM32
Version: 1.1.2

Event Timeline

By default mixing station includes a java runtime. If you want to run it manually using just the download jar file you need at least java 8

{{userId:1}}

thanks for your very quick answer
but as I said even if MixingStation includes its own Java-Runtime it does not work on Mac-OS Yosemite (Mac OS 10.10) !! the resulting error-log-file should have been sent to you automatically (that's what the error popup-windows said !);
and the Jar-App just does not launch at all....
thanks in advance for any help....
friendly greetings...

{{userId:518}}

the following is the error-log when trying to launch the PC-App:

Mixing Station has crashed.

java.lang.IllegalArgumentException: Malformed API version string [2.1 NVIDIA-10.0.35 310.90.10.05b12
]
at org.lwjgl.system.APIUtil.apiParseVersion(SourceFile:300)
at org.lwjgl.system.APIUtil.apiParseVersion(SourceFile:279)
at org.lwjgl.opengl.as.a(SourceFile:381)
at org.lwjgl.opengl.as.c(SourceFile:322)
at codeBlob.e.n.a(SourceFile:489)
at codeBlob.e.n.a(SourceFile:393)
at codeBlob.e.n.a(SourceFile:379)
at codeBlob.e.n.<init>(SourceFile:98)
at org.devcore.mixingstation.gdx.desktop.a.<init>(SourceFile:169)
at org.devcore.mixingstation.gdx.desktop.DesktopLauncher.k(SourceFile:168)

at org.devcore.mixingstation.gdx.desktop.DesktopLauncher.main(SourceFile:120)

The crash report will be uploaded during the next start.
Restart app?

{{userId:518}}

Which app version are you using? This specific issue has been resolved a long time ago

{{userId:1}}

Hello
either with Version: 1.1.2, either with 1.1.4 the same errors come up ! and the app does not run on Mac OS Yosemite (10.10.5)
but it runs fine on HiegSierra (10.12)
thats why I asked if the Java-Version installed on the computer could cause this kind of problem
on my Yosemite-Computer other Java app run fine
thanks for reading...and friendly greetings

{{userId:518}}

This is not a java related error but related to the framework. Can you try the beta version?
https://dev-core.org/backend/api/web/download/attachment/mixing-station-pc/beta/OSX

{{userId:1}}

Hello David
I just tried this V1.1.5; and here is the error :

Mixing Station has crashed.

java.lang.IllegalArgumentException: Malformed API version string [2.1 NVIDIA-10.0.35 310.90.10.05b12
]
at org.lwjgl.system.APIUtil.apiParseVersion(SourceFile:300)
at org.lwjgl.system.APIUtil.apiParseVersion(SourceFile:279)
at org.lwjgl.opengl.as.a(SourceFile:381)
at org.lwjgl.opengl.as.c(SourceFile:322)
at codeBlob.e.i.a(SourceFile:495)
at codeBlob.e.i.a(SourceFile:401)
at codeBlob.e.i.a(SourceFile:387)
at codeBlob.e.i.<init>(SourceFile:99)
at org.devcore.mixingstation.gdx.desktop.a.<init>(SourceFile:169)
at org.devcore.mixingstation.gdx.desktop.DesktopLauncher.k(SourceFile:168)

at org.devcore.mixingstation.gdx.desktop.DesktopLauncher.main(SourceFile:120)

The crash report will be uploaded during the next start.
Restart app?

thanks for reading

{{userId:518}}

That's really strange, I'll report it back to the devs of the library, but it will take some time to get it fixed

{{userId:1}}

no worries, no hurry......
and thanks for the time and energy you spend on this marvellous app
have a nice day; cheers and friendly greetings

{{userId:518}}